## mailman3-core 3.1.1

=== debian/changelog ===
mailman3-core (3.1.1-5) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * d/control:
    - mailman3-core-doc is now Multi-Arch: foreign

  [ Jonas Meurer ]
  * d/contrib/mailman.cfg.sample:
    - Add some settings from '[mta]' section to make configuration for
      non-default MTAs easier. Add commented out settings for Exim4.
  * d/README.Debian:
    - Add paragraphs for Postfix and Exim4 as mail transport agent (MTA).
  * d/control:
    - Update Vcs-* fields to point to new repository on salsa.debian.org.
  * d/contrib/mailman_cfg_hyperkitty_snippet.cfg:
    - Update path to mailman-hyperkitty.cfg
    - Update comment about the Mailman3 HyperKitty integration.

 -- Jonas Meurer <jonas@freesources.org>  Sat, 03 Mar 2018 18:26:08 +0100

mailman3-core (3.1.1-4) unstable; urgency=medium

  * d/mailman3-core.config:
    - Change default database backend to 'sqlite3'. Required to fix non-
      interactive installations without recommends (e.g. piuparts).
  * d/README.Debian:
    - Add a section about selection of the database backend.
  * d/control:
    - Update description of mailman3-core package to reflect the fact
      that several database backends are supported and 'sqlite3' is the
      default.
    - Degrade recommends on postgresql|mysql to suggests now that we use
      sqlite3 as default database backend. We don't want to pull in needless
      extra database servers.
    - Set Rules-Requires-Root: binary-targets
  * d/tests/control: remove 'needs-recommends' now that we use sqlite3

 -- Jonas Meurer <jonas@freesources.org>  Tue, 16 Jan 2018 15:55:06 +0100

mailman3-core (3.1.1-3) unstable; urgency=medium

  * d/control: Add 'virtual-mysql-server' as another alternative recommends.
    This allows to have other MySQL implementations (like the original MySQL)
    installed and satisfy the recommends.

 -- Jonas Meurer <jonas@freesources.org>  Tue, 09 Jan 2018 18:48:28 +0100

mailman3-core (3.1.1-2) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Add a d/source/local-options file to unapply the patches after the build.
  * d/control:
    - Bump Standards-Version to 4.1.3
  * Add basic multi database backend support to the maintainer scripts
    with dbconfig.

  [ Jonas Meurer ]
  * Further improve the multi database backend support in maintainer
    scripts:
    * Change default database backend in the configuration skeleton to
      SQLite3. This ensures a working setup without dbconfig.
    * PostgreSQL (the upstream recommendation) stays the default at debconf
      database backend selection. This also applies for non-interactive
      installations.
    * Move SQLite3 database file to '/var/lib/mailman3/data/mailman.db',
      manage it with dbconfig.
    * Rename default database and database user to 'mailman3'.
  * d/tests/control: Set 'isolation-container' and 'needs-recommends' for
    tests that require a running mailman3 daemon.
  * d/tests/mailman3-api: Get setting from mailman3.cfg before running the
    API test.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 08 Jan 2018 17:37:05 +0100

mailman3-core (3.1.1-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Bump standards version to 4.1.2
  * New upstream release: 3.1.1
  * d/patches:
    - patch for /etc/mailman3/mailman.cfg merged upstream, not needed anymore.
    - Reorders and merge patches with upstream new code.
  * d/control:
    - Update dependencies

  [ Chris Leick ]
  * Add German translation for debcof (Closes: #883823)

  [ Rui Branco ]
  * Add Portuguese translation for debconf (Closes: #884172)

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 16 Dec 2017 16:59:09 +0100

mailman3-core (3.1.0-7) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Add Dutch translation (Closes: #882653)

  [ Lev Lamberov ]
  * Add Russian translation (Closes: #883261)

  [ Pierre-Elliott Bécue ]
  * Fixes mailman.utilities.filesystem:makedirs behaviour via a quilt patch,
    in order to have only directories created with this function set with
    appropriate permissions. (Closes: #883464)
  * Deactivate the second test in d/tests/control as it doesn't work.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 06 Dec 2017 22:51:10 +0100

mailman3-core (3.1.0-6) unstable; urgency=medium

  * Puts a specific mailman.test.cfg file for autopkgtest needs.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 15 Nov 2017 16:03:16 +0100

mailman3-core (3.1.0-5) unstable; urgency=medium

  * Harmonization of sed delimiters in mailman3-core.postinst file.
    With a comment to explain the use of | instead of #.
  * d/rules: use of dh_installinit with an error handler so that the
    configuration of the package succeeds even when no db is configured.
    Instead, there will be a message telling the user why probably the
    start of mailman3-core service has failed.
  * As we use debconf to print the error, moves db_stop at the appropriate
    place, before the exit 0 in .postinst/.prerm

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 14 Nov 2017 16:52:21 +0100

mailman3-core (3.1.0-4) unstable; urgency=medium

  * Fixes some sed wrongdoings in mailman3-core.postinst (Closes: #881622)

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 13 Nov 2017 17:19:51 +0100

mailman3-core (3.1.0-3) unstable; urgency=medium

  * debian/mailman3-core.postinst: Fix typo, give 'mailman3-core' as
    name to ucfr, not 'mailman3-suite'.
    Unfortunately a hack is needed to fix this: check for old version
    and give '--force' to ucfr if it's smaller than 3.1.0-3.
  * debian/mailman3-core.postrm: Purge config files from ucf database
    at package purge time.
  * debian/mailman3-core.postinst, debian/contrib/mailman.cfg.sample:
    Add webservice settings to the config file and set adminpass to a
    random string during postinst.
  * debian/README.Debian: Added.

 -- Jonas Meurer <mejo@debian.org>  Fri, 10 Nov 2017 22:19:46 +0100

mailman3-core (3.1.0-2) unstable; urgency=medium

  [ Jonas Meurer ]

